type: prog

titre: Chiots vaccinés -1-

niveau: intermédiaire

objectif: Manipuler un tableau d'objets de la classe Chien

énoncé: |
  On souhaite développer un système pour gérer une **animalerie**.  
  On commence par définir la classe `Chien`, dont les attributs sont le `nom`, l'`âge`, la `race` et le statut `vacciné`, un booléen qui par défaut est
  **faux**.  
  La méthode de cette classe est `faireVaccin()` qui consiste à modifier l'attribut `vacciné` à **vrai**.  
  Soit la classe **Main**, où est enregistré dans un tableau nommé `chiens` d'objets de la classe `Chien`, tous les chiens de l'animalerie
  disponibles pour la vente.    
  Le **nombre de chiens**, ainsi que les **valeurs de leurs attributs** sont reçus en entrée, pour produire en sortie la **liste des chiens** de l'animalerie dont l'âge est de **deux ans ou moins**, avec leur `nom` et `race`, suivis par le `nombre` de ces chiots, sachant que ces chiots sont **vaccinés** avant d'être produits en sortie.

  ### Entrées

  - nombre de chiens (nombre entier)
  - nom d'un chien (chaine de caractères)
  - âge d'un chien (nombre entier)
  - race d'un chien (chaine de caractères)

  ### Sortie attendue

  - Liste des chiens, avec leut `nom` et `race`, dont l'`âge` est de **2** ans ou moins (chaines de caractères)
  - nombre de chiens dont l'`âge` est de **2** ans ou moins (nombre entier)
  
  ### À faire

  Compléter le code pour produire en sortie le `nom` et la `race` des objets du tableau `chiens` ayant **2** ans ou moins puis leur `nombre` 
  exactement tel que présenté dans les exemples ci-dessous.

  ### Exemple

  1. Deux chiens

  - Entrées :
  ```
    2
    Fido
    1
    Caniche
    Rocky
    3
    Teckel

  ```

  - Sorties attendue :
  ```
    Fido, Caniche
    1

  ```
  2. Quatre chiens

  - Entrées :
  ```
    4
    Fido
    1
    Caniche
    Rocky
    3
    Teckel
    Loulou
    1
    Boxer
    Bella
    10
    Bouledogue

  ```

  - Sortie attendue :
  ```
    Fido, Caniche
    Loulou, Boxer
    2

  ```
ébauches:
  java: !include Chien.java


rétroactions:
  positive: Bravo !
  négative: Important d'accéder correctement aux attributs des éléments du tableau en respectant la syntaxe java.

tests: !include tests.yml

auteur: Wafaa Niar Dinedane / Patrick Lafrance
licence: 2021 CC-BY-SA



